/****************************************************************
 * header file for C Wrappers of levelviewer funtion
 * by Wil
 * License CC BY 4.0
 ****************************************************************/

#include <stdint.h>     // uint*_t
 
extern void __fastcall__ init_map(); //initializes color and charset
extern void __fastcall__ draw_map(); //draws map from position in registers X and Y
extern void __fastcall__ set_tile(uint8_t t); //set tile at position PASSX and PASSY

extern uint8_t collisionmap[];

#define draw_tile_macro(T,X,Y) (poke(PASSX,X), \
	                        poke(PASSY,Y), \
	                        __A__,__A__=T, \
                                asm("jsr %v",set_tile ) )

#define draw_map_macro(X,Y) (     poke(PASSX,X), \
                                  poke(PASSY,Y), \
                                  asm("jsr %v",draw_map ) )
 