.include "lamalib.inc"
.include "presets.inc"

.zeropage
_map_idx: .res 1

.exportzp _map_idx

.export _get_mapidx
.importzp _playerx,_playery

playerx=_playerx
playery=_playery

.code

_get_mapidx:
	lda playery 
	sec
	sbc #38
	and #%11110000 ;mask out lower bits
	sta sm1+1 ;add this value later
	lsr ;/2
	lsr ;/2
sm1:	adc #00	  
	sta _map_idx
	;lda playerx
    lda $DC02-JOYPORT
    eor #%11111111  ; invert bitvalues
    and #%00001000  ; mask out to only get joystick "right" flag - will return 8 if joy right is pressed
    lsr             ; /2 to get value of 4 (or 0) since playerx values are divided by 2 (4 therefore corresponds to 8 pixels)
    adc playerx     ; add this to playerx value. carry is already clear since adc #00 cleared it - no clc required
	lsr ;/2
	lsr ;/2
	lsr ;/2
	clc
	adc _map_idx
	sbc #00	        ;subtract 1
	sta _map_idx	;_map_idx contains now the position in map coordinates
	rts 
